Subject: bug#24043: No Selection by Default

From: Grady Martin <[email-masked]>
Date: Wed, 20 Jul 2016 16:40:55 -0400

Hello.  Parted's info document says you want my ideas.  I have one, and it is good.

Please disable automatic selection of block devices.  On my system, parted defaults to selecting /dev/sda, which happens to be the boot drive.  After years of using parted, today I finally slipped up.   I type this message from a terminal that will not boot if it loses power.  I am going to try to repair the partition table now, so this may be my last email for a while...

Disabling automatic selection forces the user to explicitly select a device.  This is good.  This reduces human error.  I did not select the boot drive.  Parted did.  How presumptuous and inconsiderate of parted to have done so.

Sincerely,
A human